import { OnInit } from "@angular/core";
import { ENgxPrintComponent } from "e-ngx-print";
import { ChartMenuService } from '../service/chart-menu.service';
export declare class ToolboxComponent implements OnInit {
    private chartMenuService;
    print1Component: ENgxPrintComponent;
    constructor(chartMenuService: ChartMenuService);
    chartInstance: any;
    fileName: string;
    ngOnInit(): void;
    closePanel(event: any): void;
    downloadImage(imageType: string, fileName: string): void;
    fullScreen(event: any): void;
    customPrint(): void;
}
